%define  modulename Telethon
%def_without test

Name:    python3-module-%modulename
Version: 1.21.1
Release: alt1

Summary: Pure Python 3 Telegram client library

License: MIT
Group:   Development/Python3
URL:     https://github.com/LonamiWebs/Telethon

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/LonamiWebs/Telethon/archive/v%version.tar.gz
Source:  %modulename-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools

%if_with test
# generated by epm --restore --dry-run from Telethon-1.17.0/dev-requirements.txt
%py3_buildrequires pytest
%py3_buildrequires pytest-cov
%py3_buildrequires pytest_asyncio
%endif

%description
Telethon is Telegram client implementation in Python 3
which uses the latest available API of Telegram.

%prep
%setup -n %modulename-%version

%build
python3 setup.py gen tl errors
%python3_build

%install
%python3_install
%python3_prune

# generated
test -r %buildroot%python3_sitelibdir/telethon/tl/alltlobjects.py
test -r %buildroot%python3_sitelibdir/telethon/errors/rpcerrorlist.py

%if_with test
%check
%python3_test
%endif

%files
%python3_sitelibdir/telethon/
%python3_sitelibdir/%modulename-*.egg-info/

%changelog
* Tue Jul 06 2021 Vitaly Lipatov <lav@altlinux.ru> 1.21.1-alt1
- new version 1.21.1 (with rpmrb script)

* Wed Nov 04 2020 Vitaly Lipatov <lav@altlinux.ru> 1.17.0-alt1
- new version 1.17.0 (with rpmrb script)
- drop tests subdir, add test support

* Wed Apr 25 2018 Vitaly Lipatov <lav@altlinux.ru> 0.18.3-alt1
- new version 0.18.3 (with rpmrb script)

* Sun Dec 24 2017 Vitaly Lipatov <lav@altlinux.ru> 0.15.5-alt2
- enable generate files

* Sun Dec 24 2017 Vitaly Lipatov <lav@altlinux.ru> 0.15.5-alt1
- Initial build for Sisyphus
